Package org.apache.sysds.runtime.instructions.spark

# Class ParameterizedBuiltinSPInstruction.RDDContainsFunction

java.lang.Object
org.apache.sysds.runtime.instructions.spark.ParameterizedBuiltinSPInstruction.RDDContainsFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<MatrixBlock,Double>`

Enclosing class:
  ParameterizedBuiltinSPInstruction

public static class ParameterizedBuiltinSPInstruction.RDDContainsFunction extends Object implements org.apache.spark.api.java.function.Function<MatrixBlock,Double>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RDDContainsFunction(double pattern)`

## Method Summary

Modifier and Type
Method
Description
`Double`
`call(MatrixBlock arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RDDContainsFunction

public RDDContainsFunction(double pattern)

## Method Details

### call

public Double call(MatrixBlock arg0)

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<MatrixBlock,Double>`